﻿namespace BibliothequeClasses
{
    public abstract class Combinaison
    {

        protected static readonly int taillePhysique = 4;
        public int TailleLogique { get; private set; } = 0;
        private readonly Jeton[] lesJetons = new Jeton[taillePhysique];

        protected void AjouterJeton(Jeton jeton) => lesJetons[TailleLogique++] = jeton;

        public Jeton GetJeton(int indice) => lesJetons[indice];

        protected void SupprimerDernierJeton() => --TailleLogique;
    }
}
